package com.its.web.dto.traffic;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("TbPrkPlceDto(TB_PRK_PLCE 테이블 DTO)")
public class TbPrkPlceDto {

    @ApiModelProperty("주차장 ID")
    @JsonProperty("parking_id")
    private String parkingId; //Y VARCHAR(10)

    @ApiModelProperty("주차장 이름")
    @JsonProperty("parking_nm")
    private String parkingNm; //N VARCHAR(60)

    @ApiModelProperty("주차장 구분(0:공영, 1:사립)")
    @JsonProperty("parking_kind")
    private String parkingKind; //N VARCHAR(3)

    @ApiModelProperty("주차장 구분 설명")
    @JsonProperty("parking_kind_desc")
    private String parkingKindDesc;

    @ApiModelProperty("주차장 유형(0:노상, 1:노외, 2:부설)")
    @JsonProperty("parking_type")
    private String parkingType; //N VARCHAR(3)

    @ApiModelProperty("주차장 유형 설명")
    @JsonProperty("parking_type_desc")
    private String parkingTypeDesc; //N VARCHAR(3)

    @ApiModelProperty("주차장 운영 유형(0:무료, 1:유료)")
    @JsonProperty("parking_fee_type")
    private String parkingFeeType; //N VARCHAR(3)

    @ApiModelProperty("주차장 운영 유형 설명")
    @JsonProperty("parking_fee_type_desc")
    private String parkingFeeTypeDesc; //N VARCHAR(3)

    @ApiModelProperty("주차장 주소")
    @JsonProperty("parking_addr")
    private String parkingAddr; //N VARCHAR(200)

    @ApiModelProperty("주차장 총주차면수")
    @JsonProperty("parking_oper_time")
    private String parkingOperTime; //N VARCHAR(11)

    @ApiModelProperty("주차장 총주차면수")
    @JsonProperty("parking_num")
    private Integer parkingNum; //N NUMBER(4)

    @ApiModelProperty("주차장 X좌표")
    @JsonProperty("x_crdn")
    private Double xCrdn; //N NUMBER(11,8)

    @ApiModelProperty("주차장 Y좌표")
    @JsonProperty("y_crdn")
    private Double yCrdn; //N NUMBER(10,8)

    @ApiModelProperty("실시간 주차장 관리번호")
    @JsonProperty("prk_plce_nmbr")
    private Long prkPlceNmbr; //N NUMBER(10)

    @ApiModelProperty("비고")
    @JsonProperty("rmrk")
    private String rmrk; //N VARCHAR(256)

}
